# -*- coding: utf-8 -*-

from django import forms

from configuracao.models import TipoClienteConfiguracao
from cadastro.models import TipoRelatorio
from cadastro.models import Indice


class TipoClienteConfiguracaoForm(forms.ModelForm):
    def __init__(self, *args, **kwargs):
        self.base_fields['tipos_relatorio'].widget = \
            forms.CheckboxSelectMultiple(
            choices=[(p.id, p.nome) for p in TipoRelatorio.objects.all()])
        self.base_fields['indices'].widget = \
            forms.CheckboxSelectMultiple(
            choices=[(p.id, p.nome) for p in Indice.objects.filter(somente_cliente=False)])
        super(TipoClienteConfiguracaoForm, self).__init__(*args, **kwargs)

    class Meta:
        model = TipoClienteConfiguracao

