# -*- coding: utf-8 -*-

from django.core import serializers
from django.http import HttpResponse

from configuracao.models import TipoClienteConfiguracao
from configuracao.models import ClienteConfiguracao
from configuracao.models import IndiceCliente
from configuracao.models import IndiceTipoCliente

def get_tipo_cliente_indices_ajax(request):
    cliente_id = request.GET['id_cliente']
    ano_id = request.GET['id_ano']
    mes_id = request.GET['id_mes']

    retorno = None

    try:
        retorno = IndiceTipoCliente.objects.filter(
            tipoclienteconfiguracao__tipo_cliente__cliente__id=cliente_id,
            tipoclienteconfiguracao__ano__id__exact=ano_id,
            tipoclienteconfiguracao__mes__id__exact=mes_id,
        )

    except(IndiceTipoCliente.DoesNotExist):
        pass

    indices = serializers.serialize(
        'json',
        retorno,
        ensure_ascii=False
    )

    return HttpResponse(indices, mimetype="text/javascript")


def get_cliente_indices_ajax(request):
    cliente_id = request.GET['id_cliente']
    ano_id = request.GET['id_ano']

    retorno = None

    try:
        retorno = IndiceCliente.objects.filter(
            clienteconfiguracao__cliente__id=cliente_id,
            clienteconfiguracao__ano__id=ano_id
        )
    except(ClienteConfiguracao.DoesNotExist):
        pass

    indices = serializers.serialize(
        'json',
        retorno,
        ensure_ascii=False
    )

    return HttpResponse(indices, mimetype="text/javascript")

def get_cliente_relatorios_ajax(request):
    cliente_id = request.GET['id_cliente']
    ano_id = request.GET['id_ano']
    mes_id = request.GET['id_mes']

    retorno = None

    try:
        retorno = TipoClienteConfiguracao.objects.get(
            tipo_cliente__cliente__id = cliente_id,
            ano__id__exact=ano_id,
            mes__id__exact=mes_id
        ).tipos_relatorio.all()
    except(TipoClienteConfiguracao.DoesNotExist):
        pass

    relatorios = serializers.serialize(
        'json',
        retorno,
        ensure_ascii=False
    )

    return HttpResponse(relatorios, mimetype="text/javascript")
